PATCH /v2/users/:user-id/identity-provider-id
curl --request PATCH \
--url https://api.example.com/v2/users/{user-id}/identity-provider-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"sourceIdentityProviderId": "<string>",
"targetIdentityProviderId": "<string>"
}
'import requests
url = "https://api.example.com/v2/users/{user-id}/identity-provider-id"
payload = {
"userId": "<string>",
"sourceIdentityProviderId": "<string>",
"targetIdentityProviderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
sourceIdentityProviderId: '<string>',
targetIdentityProviderId: '<string>'
})
};
fetch('https://api.example.com/v2/users/{user-id}/identity-provider-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}PATCH /v2/users/:user-id/identity-provider-id
Update the assignment of a user from one IDP to another.
PATCH
/
v2
/
users
/
{user-id}
/
identity-provider-id
PATCH /v2/users/:user-id/identity-provider-id
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Path Parameters
Body
application/json
Required authorization: HasRight(ParticipantAdmin)
Response
The response is of type UpdateUserIdentityProviderIdResponse · object.
Was this page helpful?
⌘I